Skip to main content
PATCH
/
v1
/
agents
/
{id}
Update an agent
curl --request PATCH \
  --url https://api.eu.volubile.ai/v1/agents/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "active": true,
  "recordable": true,
  "archived": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "telephonyConfiguration": {
    "sipConnection": {
      "did": "2566458"
    },
    "phoneNumbers": [
      "+33612345678",
      "+33612345679"
    ]
  },
  "name": "<string>",
  "type": "INBOUND",
  "active": true,
  "recordable": true,
  "archived": true,
  "configuration": {
    "extractors": [
      {
        "description": "Extract all the information about the customer",
        "extractors": [
          {
            "description": "Customer's first name",
            "name": "First name"
          },
          {
            "description": "Customer's last name",
            "name": "Last name"
          },
          {
            "description": "Customer's phone number in a valid format (+33)",
            "name": "Phone"
          },
          {
            "description": "Customer's email in a valid format",
            "name": "Email"
          },
          {
            "description": "Customer address information",
            "name": "Address",
            "extractors": [
              {
                "description": "Street address of the customer, including house number and street name",
                "name": "Street"
              },
              {
                "description": "Postal code of the customer's address",
                "name": "Postal code"
              },
              {
                "description": "City or locality where the customer resides",
                "name": "City"
              }
            ]
          }
        ],
        "name": "Customer information"
      }
    ],
    "classifiers": [
      {
        "description": "What was the reason for the call",
        "name": "Classification of the call",
        "values": [
          "Support",
          "Sales",
          "Billing",
          "Technical issue"
        ]
      }
    ]
  }
}

Authorizations

X-Api-Key
string
header
required

Your API key.

Path Parameters

id
string<uuid>
required

Unique identifier of the agent

Body

application/json
name
string

Name of the agent

active
boolean

If the agent is active

recordable
boolean

If the agent record calls

archived
boolean

If the agent is archived

Response

OK

id
string<uuid>

Unique identifier of the agent

telephonyConfiguration
object

Telephony configuration of the agent containing phone numbers and SIP connections

name
string

Name of the agent

type
enum<string>

Type of the agent

Available options:
INBOUND,
OUTBOUND
active
boolean

If the agent is active

recordable
boolean

If the agent record calls

archived
boolean

If the agent is archived

configuration
object

Configuration of the agent